curl -X POST https://api.dotlookup.dev/v1/carriers/bulk \
-H "Content-Type: application/json" \
-H "X-API-Key: your_api_key_here" \
-d '{"dot_numbers": ["2233855", "1234567"]}'
[
{
"dot_number": "2233855",
"mc_number": "747866",
"legal_name": "ACME TRUCKING LLC",
"dba_name": "ACME FREIGHT",
"status": "ACTIVE",
"address": {
"street": "123 Main St",
"city": "Dallas",
"state": "TX",
"zip": "75201",
"lat": 32.7767,
"lon": -96.797
},
"contact": { "phone": "(214) 555-0100", "email": "info@acmetrucking.com" },
"fleet": { "power_units": 45, "drivers": 52 },
"authority": {
"status": "AUTHORIZED FOR HHG",
"common_authority_date": "2012-06-15T00:00:00Z",
"contract_authority_date": null,
"broker_authority": "N"
},
"mcs150": { "date": "2024-06-01T00:00:00Z", "mileage": 1200000, "mileage_year": 2023 },
"cargo_carried": ["General Freight"],
"operation_classification": ["Authorized For Hire"],
"safety": {
"rating": "Satisfactory",
"rating_date": "2019-03-20T00:00:00Z",
"driver_oos_rate": 5.2,
"driver_oos_rate_national": 5.51,
"vehicle_oos_rate": 18.3,
"vehicle_oos_rate_national": 20.72,
"total_crashes": 2,
"fatal_crashes": 0,
"unsafe_driving_violations": 5,
"hos_violations": 8
},
"insurance": { "bipd_on_file": 1000000, "cargo_on_file": 250000 }
}
]
Look up multiple carriers by DOT number in a single request
curl -X POST https://api.dotlookup.dev/v1/carriers/bulk \
-H "Content-Type: application/json" \
-H "X-API-Key: your_api_key_here" \
-d '{"dot_numbers": ["2233855", "1234567"]}'
[
{
"dot_number": "2233855",
"mc_number": "747866",
"legal_name": "ACME TRUCKING LLC",
"dba_name": "ACME FREIGHT",
"status": "ACTIVE",
"address": {
"street": "123 Main St",
"city": "Dallas",
"state": "TX",
"zip": "75201",
"lat": 32.7767,
"lon": -96.797
},
"contact": { "phone": "(214) 555-0100", "email": "info@acmetrucking.com" },
"fleet": { "power_units": 45, "drivers": 52 },
"authority": {
"status": "AUTHORIZED FOR HHG",
"common_authority_date": "2012-06-15T00:00:00Z",
"contract_authority_date": null,
"broker_authority": "N"
},
"mcs150": { "date": "2024-06-01T00:00:00Z", "mileage": 1200000, "mileage_year": 2023 },
"cargo_carried": ["General Freight"],
"operation_classification": ["Authorized For Hire"],
"safety": {
"rating": "Satisfactory",
"rating_date": "2019-03-20T00:00:00Z",
"driver_oos_rate": 5.2,
"driver_oos_rate_national": 5.51,
"vehicle_oos_rate": 18.3,
"vehicle_oos_rate_national": 20.72,
"total_crashes": 2,
"fatal_crashes": 0,
"unsafe_driving_violations": 5,
"hos_violations": 8
},
"insurance": { "bipd_on_file": 1000000, "cargo_on_file": 250000 }
}
]
curl -X POST https://api.dotlookup.dev/v1/carriers/bulk \
-H "Content-Type: application/json" \
-H "X-API-Key: your_api_key_here" \
-d '{"dot_numbers": ["2233855", "1234567"]}'
[
{
"dot_number": "2233855",
"mc_number": "747866",
"legal_name": "ACME TRUCKING LLC",
"dba_name": "ACME FREIGHT",
"status": "ACTIVE",
"address": {
"street": "123 Main St",
"city": "Dallas",
"state": "TX",
"zip": "75201",
"lat": 32.7767,
"lon": -96.797
},
"contact": { "phone": "(214) 555-0100", "email": "info@acmetrucking.com" },
"fleet": { "power_units": 45, "drivers": 52 },
"authority": {
"status": "AUTHORIZED FOR HHG",
"common_authority_date": "2012-06-15T00:00:00Z",
"contract_authority_date": null,
"broker_authority": "N"
},
"mcs150": { "date": "2024-06-01T00:00:00Z", "mileage": 1200000, "mileage_year": 2023 },
"cargo_carried": ["General Freight"],
"operation_classification": ["Authorized For Hire"],
"safety": {
"rating": "Satisfactory",
"rating_date": "2019-03-20T00:00:00Z",
"driver_oos_rate": 5.2,
"driver_oos_rate_national": 5.51,
"vehicle_oos_rate": 18.3,
"vehicle_oos_rate_national": 20.72,
"total_crashes": 2,
"fatal_crashes": 0,
"unsafe_driving_violations": 5,
"hos_violations": 8
},
"insurance": { "bipd_on_file": 1000000, "cargo_on_file": 250000 }
}
]